Use this class to manage or query the permissions of a particular RealTimeModel.

### Hierarchy

- ModelPermissionManager

## Index

### Accessors

- modelId

### Methods

- getAllUserPermissions
- getOverridesCollection
- getPermissions
- getUserPermissions
- getWorldPermissions
- removeUserPermissions
- setAllUserPermissions
- setOverridesCollection
- setUserPermissions
- setWorldPermissions

## Accessors

### modelId

- get modelId(): string

- #### Returns string

## Methods

### getAllUserPermissions

- getAllUserPermissions(): Promise<Map<string, ModelPermissions>>

- #### Returns Promise<Map<string, ModelPermissions>>

### getOverridesCollection

- getOverridesCollection(): Promise<boolean>

- #### Returns Promise<boolean>

### getPermissions

- getPermissions(): Promise<ModelPermissions>

- #### Returns Promise<ModelPermissions>

### getUserPermissions

- getUserPermissions(username: string): Promise<ModelPermissions | undefined>

- #### Parameters

  - ##### username: string

  #### Returns Promise<ModelPermissions | undefined>

### getWorldPermissions

- getWorldPermissions(): Promise<ModelPermissions>

- #### Returns Promise<ModelPermissions>

### removeUserPermissions

- removeUserPermissions(user: DomainUserIdentifier): Promise<void>

- #### Parameters

  - ##### user: DomainUserIdentifier

  #### Returns Promise<void>

### setAllUserPermissions

- setAllUserPermissions(permissions: object): Promise<void>
- setAllUserPermissions(permissions: Map<string, ModelPermissions>): Promise<void>

- #### Parameters

  - ##### permissions: object

    - ##### [key: string]: ModelPermissions

  #### Returns Promise<void>

- #### Parameters

  - ##### permissions: Map<string, ModelPermissions>

  #### Returns Promise<void>

### setOverridesCollection

- setOverridesCollection(overrideCollection: boolean): Promise<void>

- #### Parameters

  - ##### overrideCollection: boolean

  #### Returns Promise<void>

### setUserPermissions

- setUserPermissions(user: DomainUserIdentifier, permissions: ModelPermissions): Promise<void>

- #### Parameters

  - ##### user: DomainUserIdentifier

  - ##### permissions: ModelPermissions

  #### Returns Promise<void>

### setWorldPermissions

- setWorldPermissions(worldPermissions: ModelPermissions): Promise<void>

- #### Parameters

  - ##### worldPermissions: ModelPermissions

  #### Returns Promise<void>